Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sax.component
Class LogAsXMLTransformer

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.sax.AbstractSAXPipelineComponent
              org.apache.cocoon.sax.AbstractSAXProducer
                  org.apache.cocoon.sax.AbstractSAXTransformer
                      org.apache.cocoon.sax.component.LogAsXMLTransformer

All Implemented Interfaces:
  Consumer, PipelineComponent, Producer, SAXConsumer, SAXPipelineComponent, SAXProducer, ContentHandler, LexicalHandler

    public final class LogAsXMLTransformer

extends AbstractSAXTransformer

Transformer that can be plugged into a pipeline to print as XML the SAX events which passes through this transformer in a readable form to a file or sysout. This class is not thread-safe!

Constructor Summary
`LogAsXMLTransformer()`
`LogAsXMLTransformer(File logFile)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `comment(char[] ch, int start, int length)`
`void` | `endCDATA()`
`void` | `endDocument()`
`void` | `endDTD()`
`void` | `endElement(String uri, String localName, String name)`
`void` | `endEntity(String name)`
`void` | `endPrefixMapping(String prefix)`
`void` | `finish()` This method is called after pipeline run - regardless if the run was successful or an exception was thrown.
`void` | `ignorableWhitespace(char[] ch, int start, int length)`
`void` | `processingInstruction(String target, String data)`
`void` | `setConfiguration(Map<String,? extends Object> configuration)` Pass component specific configuration parameters to the pipeline component in a generic way.
`void` | `setDocumentLocator(Locator locator)`
`void` | `setup(Map<String,Object> parameters)` The shared object map for this pipeline run.
`void` | `skippedEntity(String name)`
`void` | `startCDATA()`
`void` | `startDocument()`
`void` | `startDTD(String name, String publicId, String systemId)`
`void` | `startElement(String uri, String localName, String name, Attributes atts)`
`void` | `startEntity(String name)`
`void` | `startPrefixMapping(String prefix, String uri)`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXTransformer
`endSAXRecording, removeRecorder, sendEndPrefixMapping, sendStartPrefixMapping, setRecorder, startSAXRecording`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXProducer
`getSAXConsumer, setConsumer, setSAXConsumer, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogAsXMLTransformer

    public LogAsXMLTransformer()

### LogAsXMLTransformer

    public LogAsXMLTransformer(File logFile)

Method Detail

### setConfiguration

    public void setConfiguration(Map<String,? extends Object> configuration)

  Description copied from interface: `PipelineComponent`
  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Specified by:
    `setConfiguration` in interface `PipelineComponent`
  Overrides:
    `setConfiguration` in class `AbstractPipelineComponent`
  Parameters:
    `configuration` - The `Map` of configuration parameters.

### setup

    public void setup(Map<String,Object> parameters)

  Description copied from interface: `PipelineComponent`
  The shared object map for this pipeline run.

  Specified by:
    `setup` in interface `PipelineComponent`
  Overrides:
    `setup` in class `AbstractPipelineComponent`
  Parameters:
    `parameters` - A `Map` of parameters that are available to all `PipelineComponent`s. This is a modifiable map that can be changed by this pipeline component.

### finish

    public void finish()

  Description copied from interface: `PipelineComponent`
  This method is called after pipeline run - regardless if the run was successful or an exception was thrown.

  Specified by:
    `finish` in interface `PipelineComponent`
  Overrides:
    `finish` in class `AbstractPipelineComponent`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws SAXException

  Specified by:
    `comment` in interface `LexicalHandler`
  Overrides:
    `comment` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### endCDATA

    public void endCDATA()
                  throws SAXException

  Specified by:
    `endCDATA` in interface `LexicalHandler`
  Overrides:
    `endCDATA` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Specified by:
    `endDocument` in interface `ContentHandler`
  Overrides:
    `endDocument` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### endDTD

    public void endDTD()
                throws SAXException

  Specified by:
    `endDTD` in interface `LexicalHandler`
  Overrides:
    `endDTD` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String name)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### endEntity

    public void endEntity(String name)
                   throws SAXException

  Specified by:
    `endEntity` in interface `LexicalHandler`
  Overrides:
    `endEntity` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Specified by:
    `endPrefixMapping` in interface `ContentHandler`
  Overrides:
    `endPrefixMapping` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

  Specified by:
    `ignorableWhitespace` in interface `ContentHandler`
  Overrides:
    `ignorableWhitespace` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### processingInstruction

    public void processingInstruction(String target,
                                      String data)
                               throws SAXException

  Specified by:
    `processingInstruction` in interface `ContentHandler`
  Overrides:
    `processingInstruction` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Specified by:
    `setDocumentLocator` in interface `ContentHandler`
  Overrides:
    `setDocumentLocator` in class `AbstractSAXTransformer`

### skippedEntity

    public void skippedEntity(String name)
                       throws SAXException

  Specified by:
    `skippedEntity` in interface `ContentHandler`
  Overrides:
    `skippedEntity` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### startCDATA

    public void startCDATA()
                    throws SAXException

  Specified by:
    `startCDATA` in interface `LexicalHandler`
  Overrides:
    `startCDATA` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### startDocument

    public void startDocument()
                       throws SAXException

  Specified by:
    `startDocument` in interface `ContentHandler`
  Overrides:
    `startDocument` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### startDTD

    public void startDTD(String name,
                         String publicId,
                         String systemId)
                  throws SAXException

  Specified by:
    `startDTD` in interface `LexicalHandler`
  Overrides:
    `startDTD` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### startElement

    public void startElement(String uri,
                             String localName,
                             String name,
                             Attributes atts)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### startEntity

    public void startEntity(String name)
                     throws SAXException

  Specified by:
    `startEntity` in interface `LexicalHandler`
  Overrides:
    `startEntity` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Overrides:
    `startPrefixMapping` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.